<?php

include_once('library/bones.php');


if ( ! isset( $content_width ) )
	$content_width = 460;

// Adding Translation
load_theme_textdomain( 'box-of-boom', TEMPLATEPATH.'/lang' );
 
$locale = get_locale();
$locale_file = TEMPLATEPATH."/lang/$locale.php";
if ( is_readable($locale_file) )
    require_once($locale_file);


// Thumbnail sizes
add_image_size( 'boxofboom-thumb-600', 600, 150, true );
add_image_size( 'boxofboom-thumb-300', 300, 100, true );



// Sidebars & Widgetizes Areas
function boxofboom_register_sidebars() {
	
    register_sidebar(array(
    	'id' => 'sidebar1',
    	'name' => 'Right Sidebar',
    	'description' => 'The first (primary) sidebar.',
    	'before_widget' => '<div id="%1$s" class="widget %2$s">',
    	'after_widget' => '</div>',
    	'before_title' => '<h4 class="widgettitle">',
    	'after_title' => '</h4>',
    ));
	
	register_sidebar(array(
    	'id' => 'sidebar2',
    	'name' => 'Left Sidebar',
    	'description' => 'The left sidebar.',
    	'before_widget' => '<div id="%1$s" class="widget %2$s">',
    	'after_widget' => '</div>',
    	'before_title' => '<h4 class="widgettitle">',
    	'after_title' => '</h4>',
    ));
    
    /* 
    to add more sidebars or widgetized areas, just copy
    and edit the above sidebar code. In order to call 
    your new sidebar just use the following code:
    
    Just change the name to whatever your new
    sidebar's id is.
    */
}

// adding sidebars to Wordpress
add_action( 'widgets_init', 'boxofboom_register_sidebars' );
		
// Comment Layout
function boxofboom_comments($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?>>
		<article id="comment-<?php comment_ID(); ?>">
			<header class="comment-author vcard">
				<?php echo get_avatar($comment,$size='48',$default='<path_to_url>' ); ?>
				<?php printf(__('<cite class="fn">%s</cite>', 'box-of-boom'), get_comment_author_link()) ?>
				<time><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s', 'box-of-boom'), get_comment_date(),  get_comment_time()) ?></a></time>
				<?php edit_comment_link(__('(Edit)', 'box-of-boom'),'  ','') ?>
			</header>

			<?php if ($comment->comment_approved == '0') : ?>
       			<div class="help">
          			<p><?php _e('Your comment is awaiting moderation.', 'box-of-boom') ?></p>
          		</div>
          		
			<?php endif; ?>
			
			<section class="comment_content clearfix">
				<?php comment_text() ?>
			</section>

			<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
			
		</article>
    <!-- </li> is added by wordpress automatically -->
<?php
}

remove_custom_background();

function boxofboom_excerpt_length($length) {
	return 10;
}
add_filter('excerpt_length', 'boxofboom_excerpt_length');

function boxofboom_search_form( $form ) {

    $form = '<form role="search" method="get" id="searchform" action="' . home_url( '/' ) . '" >
    <div><label class="screen-reader-text" for="s">' . __('Search for:', 'box-of-boom') . '</label>
    <input type="text" value="' . get_search_query() . '" name="s" id="s" placeholder="Search..." />
    <input type="submit" id="searchsubmit" value="'. esc_attr__('Search', 'box-of-boom') .'" />
    </div>
    </form>';

    return $form;
}
add_filter( 'get_search_form', 'boxofboom_search_form' );

function boxofboom_rel_tag( $text ) {
	$text = str_replace('rel="category tag"', 'rel="tag"', $text);
	return $text;
}
add_filter( 'the_category', 'boxofboom_rel_tag' );

function boxofboom_scripts_jquery() {
    wp_enqueue_script('jquery');
}    
add_action('wp_enqueue_scripts', 'boxofboom_scripts_jquery');


function boxofboom_scripts_modernizr() {
    wp_register_script( 'modernizr', get_template_directory_uri() . 'library/js/modernizr-2.0.min.js');
    wp_enqueue_script( 'modernizr' );
}    
add_action('wp_enqueue_scripts', 'boxofboom_scripts_modernizr');


function boxofboom_scripts_custom() {
    wp_register_script( 'custom-scripts', get_template_directory_uri() . 'library/js/scripts.js');
    wp_enqueue_script( 'custom-scripts' );
}    
add_action('wp_enqueue_scripts', 'boxofboom_scripts_custom');
?>